6 Replies Latest reply: Feb 2, 2013 3:12 AM by M_KH_1981 RSS

    Upgrade 12.1.1 to 12.1.3 Problem

    M_KH_1981
      Hi

      I have done many times upgrade from EBS 12.1.1 to EBS 12.1.3 in Oracle Linux 64b
      but it's my first time in HPUX Itanium 64b.

      please give me an answer for my qustions:

      *1) i'm now in EBS 12.1.1 and database 11.1.0.7*
      according to document  761570.1 I should do path E or Path C ??? (before I did path E, but i'm not sure it's correct path)

      I applied patch 6460304 and next was 7111245, but 7111245 exit with this error:
      Applied Session failed: Patch ID is null
      OPATCH failed with error code 73

      after searched this I found out my OPatch version was old (OPatch version 11.1.0.6)
      and I replace it with OPatch version : 11.1.0.9.10 (Latest Version)

      but now when I want to apply 7111245 it says that there is patch 14739378 as prerequest.
      I would to download this patch but I can't like other !!!

      *2) why before this time I didn't need to upgrade my OPatch version and i could apply 7111245 without any problem?*

      *3) why before this time I didn't need to applied this patch (14739378)?*

      *4) I think it's because of my OPatch version (14739378 as prerequest), can i downgrade my opatch version between 11.1.0.6 and 11.1.0.9 that patch 7111245 could be applied??*

      *5) what about If I skip this patch (7111245)??*

      Please share with me your valubale opinions

      Best Regard
        • 1. Re: Upgrade 12.1.1 to 12.1.3 Problem
          Helios-GunesEROL
          Hi

          Pease follow:
          r12.1.1 to r12.1.3
          Re: Questions about patching in eBS 12.1.3

          Regard
          Helios
          • 2. Re: Upgrade 12.1.1 to 12.1.3 Problem
            M_KH_1981
            Helios- Gunes EROL wrote:
            Hi

            Pease follow:
            r12.1.1 to r12.1.3
            Re: Questions about patching in eBS 12.1.3

            Regard
            Helios
            Dear Helios- Gunes EROL
            thanks for your reply
            but I know about 12.1.1 nto 12.1.3 steps because i have done several times these steps.
            i read your link but i think it is about application side patches not DB side
            my question is about Database , not Application and I 'm now in opatch patches not adpatch (needed Database patches to upgrade 12.1.3)
            please read my questions again.

            thanks
            • 3. Re: Upgrade 12.1.1 to 12.1.3 Problem
              Helios-GunesEROL
              Hi;

              I belive you will go wiht path C:

              In C part its mention:
              A) For users upgrading to 11.1.0.7:

              Attention: If you used the 12.1.1 Rapid Install 11.1.0.7 Oracle home and rolled back the DST patches as indicated in Step 2 above, apply only patches 6460304, 7111245, 8639653, 8940108, 9066130, 9554727, and 9743057 (for UNIX/Linux), 8935979 (for HP Itanium), 9346232 (for HP PA-RISC), or the latest Windows Rollup Patch (currently 32) (for Windows).

              So its similar as your case.

              For patches its recommended to apply all patches,if you want to skip some patches which mean you can hit error message or can have problem during your EBS run.

              For apply patch its recommended to use lastest opatch version, so try to apply all patches wiht lastest version.

              Regard
              Helios
              • 4. Re: Upgrade 12.1.1 to 12.1.3 Problem
                M_KH_1981
                Dear Helios- Gunes
                A) For users upgrading to 11.1.0.7:
                as you mentioned above For users upgrading to 11.1.0.7 but i'm in 11.1.0.7 and i don;t want to upgrade to this version !!

                Attention: If you used the 12.1.1 Rapid Install 11.1.0.7 Oracle home and rolled back the DST patches as indicated in Step 2 above, apply only patches 6460304, 7111245, 8639653, 8940108, 9066130, 9554727, and 9743057 (for UNIX/Linux), 8935979 (for HP Itanium), 9346232 (for HP PA-RISC), or the latest Windows Rollup Patch (currently 32) (for Windows).
                it's exactly my problem, i see this text and doubt to path E
                but when you read path E you see:

                +Path E is applicable for E-Business Suite systems already on either 11.5.10.2 and currently running an 11g database. Systems in this category have databases already upgraded to 11g (11.1.0.6, *11.1.0.7*, 11.2.0.1, 11.2.0.2, or 11.2.0.3) by using the process documented in the Interoperability Notes: Oracle Applications Release 11i with Oracle Database 11g Release 1 (11.1.0) or Interoperability Notes: Oracle Applications Release 11i with Oracle Database 11g Release 2 (11.2.0).+

                it confused me !!!

                please help me.

                best regard
                • 5. Re: Upgrade 12.1.1 to 12.1.3 Problem
                  EBSDBA
                  Dear M.Khayatan

                  The path remains the same whether you use HP, Linux, windows, AIX or solaris. But the only change you will see is some addition/reduction of steps like applying patches or setting environment variables.

                  They have designed these paths based on the version of application and database not based on the operating system.

                  If you have done upgrade many times before on linux and you have followed the path E then use the same path (Provided you completed upgrade successfully).

                  you can use eigther same or higher Opatch version to apply RDBMS patches.

                  But if you are on 11.1.0.7.0 then you have to apply 11.1.0.7.0 patch only.

                  So when you are downloading 7111245, first check what RDBMS version you have and then download the same version patch for 7111245.

                  Thanks
                  • 6. Re: Upgrade 12.1.1 to 12.1.3 Problem
                    M_KH_1981
                    M.Khayatan wrote:
                    Hi

                    I have done many times upgrade from EBS 12.1.1 to EBS 12.1.3 in Oracle Linux 64b
                    but it's my first time in HPUX Itanium 64b.

                    please give me an answer for my qustions:
                    >
                    *1) i'm now in EBS 12.1.1 and database 11.1.0.7*
                    according to document  761570.1 I should do path E or Path C ??? (before I did path E, but i'm not sure it's correct path)
                    I'm still not sure, but i am agree with EBSDBA that I do like before, so I do Path E again.
                    I applied patch 6460304 and next was 7111245, but 7111245 exit with this error:
                    Applied Session failed: Patch ID is null
                    OPATCH failed with error code 73

                    after searched this I found out my OPatch version was old (OPatch version 11.1.0.6)
                    and I replace it with OPatch version : 11.1.0.9.10 (Latest Version)
                    Now I think it's true, we should always be in last OPatch version.
                    but now when I want to apply 7111245 it says that there is patch 14739378 as prerequest.
                    I would to download this patch but I can't like other !!!

                    *2) why before this time I didn't need to upgrade my OPatch version and i could apply 7111245 without any problem?*
                    I think OPatch version in this checked first, so when it was wrong other patches didn't checked.
                    *3) why before this time I didn't need to applied this patch (14739378)?*
                    I checked patch 7111245 in linux x86-64, there isn't any pre request patch for that, but in readme of patch HPUX itanium 7111245 in pre request list there is one patch (14739378) as pre request, so it's in HPUX itanium only.
                    *4) I think it's because of my OPatch version (14739378 as prerequest), can i downgrade my opatch version between 11.1.0.6 and 11.1.0.9 that patch 7111245 could be applied??*
                    no, it's wrong completely
                    *5) what about If I skip this patch (7111245)??*
                    ofcourse it seems that patch 14739378 is an important patch, so it's wrong to skip this patch, if we skip this or any patch we may encounter new errors.

                    Thanks